io.vertx.ext.asyncsql

## Interface MySQLClient

- All Superinterfaces:
    AsyncSQLClient

      public interface MySQLClient
      extends AsyncSQLClient

  Represents an asynchronous MySQL client
  Author:
    Joern Bernhardt., Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_CHARSET` The default charset.
    `static long` | `DEFAULT_CONNECT_TIMEOUT` The default timeout for connect.
    `static String` | `DEFAULT_DATABASE` The default database.
    `static String` | `DEFAULT_HOST` The default host.
    `static String` | `DEFAULT_PASSWORD` The default database password.
    `static String` | `DEFAULT_POOL_NAME` The default name used for the MySQL pool.
    `static int` | `DEFAULT_PORT` The default port.
    `static long` | `DEFAULT_TEST_TIMEOUT` The default timeout for tests.
    `static String` | `DEFAULT_USER` The default database user.

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AsyncSQLClient` | `createNonShared(Vertx vertx, JsonObject config)` Create a MySQL client which maintains its own pool.
    `static AsyncSQLClient` | `createShared(Vertx vertx, JsonObject config)` Like `createShared(io.vertx.core.Vertx, JsonObject, String)` but with the default pool name
    `static AsyncSQLClient` | `createShared(Vertx vertx, JsonObject config, String poolName)` Create a MySQL client which shares its data source with any other MySQL clients created with the same data source name

    - ### Methods inherited from interface io.vertx.ext.asyncsql.AsyncSQLClient

      `close, close, getConnection`

- - ### Field Detail

    - #### DEFAULT_POOL_NAME

          static final String DEFAULT_POOL_NAME

      The default name used for the MySQL pool.
      See Also:
        Constant Field Values

    - #### DEFAULT_HOST

          static final String DEFAULT_HOST

      The default host.
      See Also:
        Constant Field Values

    - #### DEFAULT_PORT

          static final int DEFAULT_PORT

      The default port.
      See Also:
        Constant Field Values

    - #### DEFAULT_DATABASE

          static final String DEFAULT_DATABASE

      The default database.
      See Also:
        Constant Field Values

    - #### DEFAULT_USER

          static final String DEFAULT_USER

      The default database user.
      See Also:
        Constant Field Values

    - #### DEFAULT_PASSWORD

          static final String DEFAULT_PASSWORD

      The default database password.
      See Also:
        Constant Field Values

    - #### DEFAULT_CHARSET

          static final String DEFAULT_CHARSET

      The default charset.
      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECT_TIMEOUT

          static final long DEFAULT_CONNECT_TIMEOUT

      The default timeout for connect.
      See Also:
        Constant Field Values

    - #### DEFAULT_TEST_TIMEOUT

          static final long DEFAULT_TEST_TIMEOUT

      The default timeout for tests.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createNonShared

          static AsyncSQLClient createNonShared(Vertx vertx,
                                                JsonObject config)

      Create a MySQL client which maintains its own pool.
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### createShared

          static AsyncSQLClient createShared(Vertx vertx,
                                             JsonObject config,
                                             String poolName)

      Create a MySQL client which shares its data source with any other MySQL clients created with the same data source name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
        `poolName` - the pool name
      Returns:
        the client

    - #### createShared

          static AsyncSQLClient createShared(Vertx vertx,
                                             JsonObject config)

      Like `createShared(io.vertx.core.Vertx, JsonObject, String)` but with the default pool name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

Copyright © 2016. All rights reserved.